<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 6</title>
	<script type="text/javascript">
		let cuenta;

		/*esta variable me permite colocar el numero de la foto que estoy viendo*/
		cuenta = 0;

		function carga(){
			document.foto.src=imagenes[cuenta].src;
		}

		function cambia(){
			cuenta++;
			if (cuenta==10) {
				cuenta=0;
			}
			document.foto.src=imagenes[cuenta].src;
		}
	</script>
</head>
<body onload="carga()">
	<script type="text/javascript">
		let imagenes = [];

		/*precarga de imagenes*/
		for (let c=0; c<10; c++){
			imagenes[c] = new Image();
			imagenes[c].src = (c+1) + ".jpg";
		}

	</script>

	<img name="foto" onclick="cambia()">
</body>
</html>